Debian Bug report logs - #400513
RM: gnuradio-core, gr-audio-{alsa,jack,oss}, gr-{usrp,wxgui}, usrp -- RoM; superseded by gnuradio

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: bdale@gag.com (Bdale Garbee)

Date: Sun, 26 Nov 2006 23:33:07 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#400513; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to bdale@gag.com (Bdale Garbee):
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: bdale@gag.com (Bdale Garbee)
To: submit@bugs.debian.org
Subject: please remove old gnuradio-related source packages
Date: Sun, 26 Nov 2006 15:46:43 -0500 (EST)
Package: ftp.debian.org

I am the current maintainer of the gnuradio package suite.  The following 
source packages from older versions of the gnuradio suite are now completely 
obsolete, all replaced by the single 'gnuradio' source package in unstable.  

Please remove these source packages from unstable (and testing if any are 
still present in testing) as soon as possible:

	gnuradio-core
	gr-audio-alsa
	gr-audio-jack	
	gr-audio-oss
	gr-usrp
	gr-wxgui
	usrp

Thank you!

Bdale



Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#400513; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #12 received at 400513@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Bdale Garbee <bdale@gag.com>, 400513@bugs.debian.org
Subject: Re: please remove old gnuradio-related source packages
Date: Wed, 29 Nov 2006 14:13:09 +0100
On Sun, Nov 26, 2006 at 03:46:43PM -0500, Bdale Garbee wrote:
> I am the current maintainer of the gnuradio package suite.  The following 
> source packages from older versions of the gnuradio suite are now completely 
> obsolete, all replaced by the single 'gnuradio' source package in unstable.  
> 
> Please remove these source packages from unstable (and testing if any are 
> still present in testing) as soon as possible:
> 
> 	gnuradio-core
> 	gr-audio-alsa
> 	gr-audio-jack	
> 	gr-audio-oss
> 	gr-usrp
> 	gr-wxgui
> 	usrp

Removing those obsolete source package of gnuradio would break m68k,
hppa, ia64 and sparc gnuradio-wise.

Did you contact the porters of the relevant release-architectures about
this?

I see two possibilities:
- Indeed remove these, leaving those architectures unsupported by
  gnuradio
- Fix the build failures/bugs, so that gnuradio keeps working on all
  archs

The 3rd option of keeping gnuradio 2 in testing is not an option because
it's migrated to testing already for some reason. So, given this, asking
porter opinion pretty much doesn't buy us anything, I'll remove these
packages anyway -- but it's still desirable to inform them so that they
can work on fixing gnuradio for these architectures if they wish.

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to bdale@gag.com (Bdale Garbee):
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 400513-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 400513-close@bugs.debian.org
Cc: gnuradio-core@packages.debian.org, gnuradio-core@packages.qa.debian.org, gr-audio-alsa@packages.debian.org, gr-audio-alsa@packages.qa.debian.org, gr-audio-jack@packages.debian.org, gr-audio-jack@packages.qa.debian.org, gr-audio-oss@packages.debian.org, gr-audio-oss@packages.qa.debian.org, gr-usrp@packages.debian.org, gr-usrp@packages.qa.debian.org, gr-wxgui@packages.debian.org, gr-wxgui@packages.qa.debian.org, usrp@packages.debian.org, usrp@packages.qa.debian.org
Subject: Bug#400513: fixed
Date: Wed, 29 Nov 2006 13:13:52 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

gnuradio-core |      2.8-6 | source
gr-audio-alsa |      0.5-1 | m68k
gr-audio-alsa |      0.5-2 | source, alpha, amd64, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
gr-audio-jack |      0.3-1 | m68k
gr-audio-jack |      0.3-2 | source, alpha, amd64, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
gr-audio-oss |      0.9-1 | m68k
gr-audio-oss |      0.9-2 | source, alpha, amd64, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
   gr-usrp |      0.8-2 | ia64, m68k
   gr-usrp |      0.8-3 | source, alpha, amd64, arm, hppa, i386, mips, mipsel, powerpc, s390, sparc
  gr-wxgui |      0.6-3 | source, alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libgnuradio-core0-dev |      2.7-2 | m68k
libgnuradio-core0-dev |      2.8-6 | hppa, ia64, sparc
libgnuradio-core0c2a |      2.7-2 | m68k
libgnuradio-core0c2a |      2.8-6 | hppa, ia64, sparc
libusrp0-dev |     0.12-4 | ia64
libusrp0-dev |     0.12-6 | hppa, m68k, sparc
libusrp0c2a |     0.12-4 | ia64
libusrp0c2a |     0.12-6 | hppa, m68k, sparc
libusrp0c2a-dbg |     0.12-4 | ia64
libusrp0c2a-dbg |     0.12-6 | hppa, m68k, sparc
python-gnuradio |      2.7-2 | m68k
python-gnuradio |      2.8-6 | hppa, ia64, sparc
python-usrp |     0.12-4 | ia64
python-usrp |     0.12-6 | hppa, m68k, sparc
      usrp |     0.12-4 | ia64
      usrp |     0.12-6 | source, hppa, m68k, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 400513@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#400513; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #22 received at 400513@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: 400513@bugs.debian.org
Subject: Re: please remove old gnuradio-related source packages
Date: Wed, 29 Nov 2006 08:38:07 -0700
On Wed, 2006-11-29 at 14:13 +0100, Jeroen van Wolffelaar wrote:

> Removing those obsolete source package of gnuradio would break m68k,
> hppa, ia64 and sparc gnuradio-wise.

Yes.  I'm sorry I didn't mention this in the bug report, as it is indeed
something already thought about.

> Did you contact the porters of the relevant release-architectures about
> this?

Several of us involved in porting to these various architectures have
discussed this online at various times, and in person at the recent
Ubuntu gathering in California.  Nobody is happy about the new gnuradio
working on less architectures than the old, but everyone I've talked to
agrees that removing the obsolete packages makes sense.

The primary reason for this is that GNU Radio is a development
environment which has no other package dependencies in Debian (yet).  I
don't believe anyone working on software defined radio projects wants to
continue developing against the pre-3 versions of the gnuradio packages.
So there is no real loss to Debian of removing these obsolete packages,
it's independent of work to get the current code building across all
architectures.

In some cases, the problems building current gnuradio on the remaining
Debian architectures may represent problems in other packages.  For
example, the last build log I see for ia64 indicates a bug in sdcc, and
the powerpc build is failing because the SWIG-generated large C++ source
file for the user interface routines is causing an ICE.  Both of these
may be possible to work around in the gnuradio source, but it might be
better in the long term to fix the problems in those tools.  The hppa
and sparc builds run to completion, but fail similarly in the regression
test suite.

> I'll remove these packages ... 

Thank you!

Bdale




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 15:10:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:20:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.